Subject: Re: [PATCH 0/2] advice: add "all" option to disable all hints

From: Junio C Hamano <[email-masked]>
Date: Thu, 25 Apr 2024 09:18:09 -0700

Patrick Steinhardt <[email-masked]> writes:

>> > Filtering out advices would be doable. But we probably wouldn't want to
>> > do so unconditionally whenever we execute Git commands.
>> ...
> The reason here is mostly that I do not know whether this can be rigged.
> I cannot state without a doubt that no command may output "hint:" at the
> start of a line that may _not_ actually be an advice.

Ah, I mistook what you said to be "we may want to keep the advice
messages in certain situations while filtering out others".  

Surely, we may send stuff to the standard error stream that happens
to begin with "hint:" that is not created via advice.c:vadvise().

I do not however offhand know why anybody would want to filter such
lines out when they are filtering out all advice messages.  When we
emit a line that begins with "hint:", I do not think of a case when
we do not mean as a "hint", i.e., in the same spirit as real advice
messages.